/**
 * @file    tui.h
 * @brief   display user interface
 * @author  hendrik schutter
 * @date    03.08.2020
 */

#ifndef TUI_H_
#define TUI_H_

#include "reHDD.h"

#define COLOR_AREA_STDSCR 1
#define COLOR_AREA_OVERVIEW 2
#define COLOR_AREA_ENTRY 3

#define COLOR_GRAY	8

class TUI
{
protected:

public:

    TUI(void);

    void initTUI();

    void updateTUI(TUI_DATA data);



private:

    void centerTitle(WINDOW *pwin, const char * title);



};

#endif  // TUI_H_